SquirrelMail  
Donations
News
About
Support
Screen shots
Download
Plugins
Documentation
Sponsors
Bounties













Security Notice
Phishing campain
Version 1.4.15
Security Upgrade
Plugins - Block Sender
Category: Filters & Spam

The Block Sender plugin allows users to create a list of e-mail addresses that will be "blocked" from delivery. When an e-mail arrives for a user the sender's address is checked against their block list. If the sender's address is in the block list the mail will automatically be delivered to their SquirrelMail trash folder. Users can add addresses to their blocked list by reading an e-mail and clicking on the "Block Sender" link, which is added by this plugin. Users can also manually edit their blocked senders list through their SquirrelMail Options. Starting in version 0.3 users may also block entire domains.


Version 2.02
by Derek Battams on May 17, 2003
[ block_sender.2.02-1.4.0.tar.gz tarball (31411 d/l) Help ]
Requires: SquirrelMail >= 1.4.0; procmail >= 3.15.x

Description: Added support for SM 1.4. No other changes made to this version. MySQL support still considered experimental, but appears to be extremely stable. This version will only work with the SM 1.4.x release. This version IS NOT compatiable with older versions of SM (see version 2.01 of this plugin for 1.2.x support).

Older versions

Version 2.01
by Derek Battams on Jan 14, 2003
[ block_sender.2.01-1.2.8.tar.gz tarball (6392 d/l) Help ]
Requires: SquirrelMail >= 1.2.8; procmail >= 3.15.x

Description: Added MySQL support for storage of user block lists. No other changes added to this version so if you're not interested in MySQL support then there is no need to upgrade to version 2.01. Please pay close attention to the included docs if you wish to install the MySQL support for this plugin. This version WILL NOT work with the SM 1.4.x releases.

Version 1.0
by Derek Battams on Nov 14, 2002
[ block_sender.1.0-1.2.2.tar.gz tarball (3353 d/l) Help ]
Requires: SquirrelMail 1.2.2 - 1.2.7 and procmail >= 3.15.x

Description: Removed beta tag from this version. Same as version 0.3. This version and all versions below it are not compatible with SM >= 1.2.8. You must have an SM version between 1.2.2 and 1.2.7 to use this version of the plugin.

Version 2.0
by Derek Battams on Nov 14, 2002
[ This version is not available. You might be able to get it by asking on the "squirrelmail-plugins" mailing list or by contacting the author. ]
Requires: SquirrelMail >= 1.2.8 and procmail >= 3.15.x

Description: Added support for SM >= 1.2.8 (rg=0). Added i18n support. Removed beta tag from this plugin. This version and all versions above this one require SM >= 1.2.8. This version of the plugin will not work with older versions of SM.

Version 0.3
by Derek Battams on Jul 25, 2002
[ This version is not available. You might be able to get it by asking on the "squirrelmail-plugins" mailing list or by contacting the author. ]
Requires: SquirrelMail >= 1.2.2 and procmail >= 3.15.x

Description: Corrected two minor bugs (one to do with the regex used to determine the sender's address when blocking a sender and the other to properly support the maildir delivery format). By popular demand, added the ability to block entire domains. To block a domain either click on the "Block Sender's Domain" link from an email message or add an entry of the form "*@dom-to-block.com" (no quotes). This is a BETA version.

Version 0.2
by Derek Battams on Feb 24, 2002
[ block_sender.0.2-1.2.2.tar.gz tarball (5782 d/l) Help ]
Requires: SquirrelMail >= 1.2.2 and procmail >= 3.15.x

Description: Bug fix. Corrected a bug that would cause errors with the IMAP server when blocking an address after deleting other messages. Now when a sender is blocked the message is automatically deleted and the user is able to return to the message list of the current folder. This is a BETA version.

Version 0.1
by Derek Battams on Feb 23, 2002
[ This version is not available. You might be able to get it by asking on the "squirrelmail-plugins" mailing list or by contacting the author. ]
Requires: SquirrelMail >= 1.2.2 and procmail >= 3.15.x

Description: Original version (BETA).

If you have problems with the download or decompressing...
Internet Explorer
Right-click on the file, then select "Save Target As"
Firefox, Mozilla, Netscape
Right-click on the file, then select "Save Link As"
Opera
Right-click on the file, then select "Save Link Document As"
Lynx and Links
Press "d" on the link to download the file directly.
  • Untarring problems: Your browser might have un-gzipped it for you automatically. Try just "tar xvf" instead of "tar xvfz". Also, the plugins archive isn't gzipped (it is a tarball of .tar.gz files)
  • Macintosh users: Just hold down your mouse button to get the menu instead of right-clicking.
  • If all else fails, seek our help
© 1999-2010 by The SquirrelMail Project Team